## Methods

- `Buffer` : Instanciation of a Buffer
- `Shift` : Instanciation of a shifter
- `Mux` : Instanciation of a multiplexor
- `Reg` : Instanciation of a register
- `Eq/Ne` : Instanciation of comparison generator
- `Extend` : A net is extended
- `Alias` : A net is an alias of another net
- `Delete` : Deletion of the Hurricane nets

And the overloards :

- __init__ : Initialisation of nets
- __le__ : initialisation of a net thanks to <= notation
- __getitem__, __geslice__ : Creation of "Sig" nets : which are part of nets (use of `[]` and `[:]`)
- __and__, __or__, __xor__, __invert__ : boolean operation with &, |, ,
- __add__, __mul__, __div__ : arithmetic operators with +, * and /